(OSEPP_Robotics) Library problem - installation

Hello Everyone.

I believe my problem is in right place to ask, if not please don’t delete it.

I have problem with uploading library in Arduino.

There are two libraries that I cannot upload in Arduino 1.6.7 :
osepp_201k.zip and OSEPP_Robotics_101K.zip .
Actually both updates of Arduino Software 1.6.7 and 1.6.6 can’t upload these 2 zip libraries.

As it says:

Arduino: 1.6.7 (Windows 10), Board: “Arduino/Genuino Uno”

Specified folder/zip file does not contain a valid library
Invalid library found in C:\Users\Evgeny\Documents\Arduino\libraries\OSEPP_201K: C:\Users\Evgeny\Documents\Arduino\libraries\OSEPP_201K
Invalid library found in C:\Users\Evgeny\Documents\Arduino\libraries\OSEPP_Robotics_101K: C:\Users\Evgeny\Documents\Arduino\libraries\OSEPP_Robotics_101K
Invalid library found in C:\Users\Evgeny\Documents\Arduino\libraries\OSEPP_201K: C:\Users\Evgeny\Documents\Arduino\libraries\OSEPP_201K
Invalid library found in C:\Users\Evgeny\Documents\Arduino\libraries\OSEPP_Robotics_101K: C:\Users\Evgeny\Documents\Arduino\libraries\OSEPP_Robotics_101K

This report would have more information with
“Show verbose output during compilation”
enabled in File > Preferences.

Same is being said in Arduino 1.6.6.

After I went back to Arduino 1.6.4 and both libraries zip folders have been uploaded with no problem at all. Both libraries also worked on old software versions of Arduino.

Both zip libraries are downloaded from official website http://osepp.com/

http://osepp.com/files/osepp_201k.zip

http://osepp.com/wp-content/uploads/2016/01/OSEPP_Robotics_101K.zip

Please help me or give me advice/link where I can refresh libraries for new versions of Arduino Software - Arduino 1.6.6/1.6.7.

Best Regards to all!

[moderator updated title]

Library upload problem.doc (85.5 KB)